const { existsSync } = require("fs")
const { getRootDirectory }  = require('./navigateToRootDirectory')
const path = require('path')
const fs = require('fs')
const { getShellScript } = require("./getScripts")
function updateGitFile(){
    const preCommit_File_Path_Default = path.resolve(getRootDirectory(),'.git','hooks','pre-commit.sample')
    let   preCommit_File_Path = path.join(path.dirname(preCommit_File_Path_Default),'pre-commit')
    if(existsSync(preCommit_File_Path_Default)){
        fs.writeFileSync(preCommit_File_Path_Default,`#!/bin/sh${getShellScript()}`)
        fs.renameSync(preCommit_File_Path_Default,preCommit_File_Path)
        return;
    }

    if(existsSync(preCommit_File_Path)){
        fs.appendFileSync(preCommit_File_Path,`\n${getShellScript()}`)
        return;
    }
}

module.exports = {
    updateGitFile
}