const { Logger } = require("../Logger")

function printUninstalledPlugins(uninstalledPlugins){
    let commandToInstallPlugins = 'npx ZDPrecommit setupPlugins'
    if(uninstalledPlugins.uninstalledPlugins.length !== 0){
        Logger.log(Logger.INFO_TYPE,'The following plugins are not installed:')
        uninstalledPlugins.uninstalledPlugins.map(plugin => {
            Logger.log(Logger.INFO_TYPE,`"${plugin}"`)
        })
        Logger.log(Logger.FAILURE_TYPE, `Kindly execute the command \x1b[37m"${commandToInstallPlugins}\x1b[0m" \x1b[31mfrom the location where package.json is present to install the plugins`)
    }
    else if(uninstalledPlugins.uninstalledPlugins.length === 0 && 
            uninstalledPlugins.noPluginMessage.trim() === ''){
            Logger.log(Logger.INFO_TYPE,'Plugins are installed already')
    }
    else if(uninstalledPlugins.uninstalledPlugins.length === 0 && 
        uninstalledPlugins.noPluginMessage.trim() !== ''){
        Logger.log(Logger.INFO_TYPE,'No plugins present for the repository')
    }    
}

module.exports = {
    printUninstalledPlugins
}